<template>
    <div class="card-coach">
    	<div class="card-coach__inner">		
            <a :href="item.url" class="card-coach__img" :style="`background-image: url(${item.img})`" v-if="item.img">
            </a>
            <div class="card-coach__content">
                <div class="card-coach__text">
                    <div class="card-coach__name">{{ item.name }}</div>
                    <div class="card-coach__position" v-if="item.position">{{ item.position }}</div>
                    <div class="card-coach__except">{{ item.text | truncate }}</div>
                </div>
                <a :href="item.url" class="card-coach__link link">Подробнее о тренере »</a>
            </div>
    	</div>
    </div>
</template>

<script>
import truncate from "lodash-es/truncate";

export default {
    props: ['item'],
    filters: {
    	truncate: (str) => {
    		return truncate(str, {length: 100})
    	}
    },
    data() {
        return {
            
        }
    }
}
</script>